Pool Class Reference

## Public Member Functions

| Pool ()
| Pool (apr_pool_t *pool, bool release)
| ~Pool ()
apr_pool_t * | getAPRPool ()
apr_pool_t * | create ()
void * | palloc (size_t length)
char * | pstralloc (size_t length)
char * | itoa (int n)
char * | pstrndup (const char *s, size_t len)
char * | pstrdup (const char *s)
char * | pstrdup (const std::string &)

## Protected Attributes

apr_pool_t * | pool
const bool | release

## Constructor & Destructor Documentation

Pool | ( |  | ) |

Pool | ( | apr_pool_t * | pool,
|  | bool | release
| ) |  |

~Pool | ( |  | ) |

## Member Function Documentation

apr_pool_t* create | ( |  | ) |

apr_pool_t* getAPRPool | ( |  | ) |

char* itoa | ( | int | n | ) |

void* palloc | ( | size_t | length | ) |

char* pstralloc | ( | size_t | length | ) |

char* pstrdup | ( | const char * | s | ) |

char* pstrdup | ( | const std::string & |  | ) |

char* pstrndup | ( | const char * | s,
|  | size_t | len
| ) |  |

## Member Data Documentation

apr_pool_t* pool

protected

const bool release

protected

The documentation for this class was generated from the following file:

- pool.h